cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Participant
Participant
8,050 Views
Registered: ‎11-13-2008

I can't simulate my EDK design

I have made an EDK design and  I am trying to simulate it. I choose simulation> compile simulation libraries , but the following error appears:

 

ERROR:CAEInterfaces:393 - COMPXLIB[env]: detected MTI-XE simulator installation

MTI-XE => 'C:\Modeltech_xe_starter\win32xoem'

The Xilinx HDL Libraries should not be compiled with compxlib for the
MTI-XE edition. The libraries are already Pre-Compiled for MTI-XE and
are available on xilinx.com website.

<ToolTip>: If you want to compile the libraries for MTI-SE or MTI-PE
then set the simulator enviroment accordingly

 I have ModelSim XE III 6.3c version installed.

 

Best regards,

 

Garazi

0 Kudos
5 Replies
Highlighted
Historian
Historian
8,036 Views
Registered: ‎02-25-2008

The error message is telling you that you don't have to compile the simulation libraries because they are already compiled.

 

I don't know if the error message could be any more obvious.

 

-a

----------------------------Yes, I do this for a living.
Highlighted
Participant
Participant
8,008 Views
Registered: ‎11-13-2008

Thanks.

Sorry but I am new with EDK.

I know that the files have already been compiled, but this is not the error because I can´t simulate my design. I think that something in relation with my Model Sim version happens. Is it possible?

 

I try to simulate my design doing the following: Simulation> Generate Simulation HDL files and Simulation>Launch HDL Simulator but the following error appears:

 

"EDK Sim Library: XPS can not get library information from the path <C:\Documents and Settings\gjuez\simlib\EDK10.1.03_mti_se_nt\EDK_Lib\>.Please make sure it contains the libraries   compiled with the same simulator and HDL as you set in the GUI, and with current EDK/ISE version.

ISE Sim Library: XPS can not get library information from the path <C:\Documents and Settings\gjuez\simlib\EDK10.1.03_mti_se_nt\ISE_Lib\>.Please make sure it contains the libraries compiled with the same simulator and HDL as you set in the GUI, and with current EDK/ISE version.

Do you want to continue with the simulation?"

I have ModelSim XE 6.3c installed.  

Thank you very much,

Best Regards

Garazi

 

 

 

 

0 Kudos
Highlighted
Xilinx Employee
Xilinx Employee
8,000 Views
Registered: ‎08-01-2007

garazigara -

 

EDK requires SE or PE editions of Microblaze to simulate. MXE does not support mixed language simulation. 

 

Hope this helps....

 

 

0 Kudos
Highlighted
Participant
Participant
7,904 Views
Registered: ‎11-13-2008

Thank you!!!

Yes, that was the problem. 

Now I have installed ModelSim PE student version and everything it´s ok.

However, I try to simulate my design and I can´t. After doing "Launch HDL Simulator", ModelSim opens. I type " ModelSim> c" and the following error appears: "# Cannot open macro file:  system.do"

Any idea??

 

Thanks

 

 

0 Kudos
Highlighted
Visitor
Visitor
5,798 Views
Registered: ‎04-07-2009

Hi garazigara,  I am faceing the same problem, have you solved the problem,, if so ,could you tell me how to solve the problem 
0 Kudos